Bug 1284149 - [abrt] kwin: KCrash::defaultCrashHandler(int)(): kwin_x11 killed by SIGSEGV
[abrt] kwin: KCrash::defaultCrashHandler(int)(): kwin_x11 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kwin (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1f256cfaa19a24e56401c974a52...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 22:13 EST by Ed Greshko
Modified: 2016-07-19 14:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:30:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.82 KB, text/plain)
2015-11-20 22:13 EST, Ed Greshko
no flags Details
File: cgroup (191 bytes, text/plain)
2015-11-20 22:13 EST, Ed Greshko
no flags Details
File: core_backtrace (17.48 KB, text/plain)
2015-11-20 22:13 EST, Ed Greshko
no flags Details
File: dso_list (18.02 KB, text/plain)
2015-11-20 22:13 EST, Ed Greshko
no flags Details
File: environ (2.70 KB, text/plain)
2015-11-20 22:13 EST, Ed Greshko
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-20 22:13 EST, Ed Greshko
no flags Details
File: maps (95.80 KB, text/plain)
2015-11-20 22:13 EST, Ed Greshko
no flags Details
File: mountinfo (4.90 KB, text/plain)
2015-11-20 22:13 EST, Ed Greshko
no flags Details
File: open_fds (189 bytes, text/plain)
2015-11-20 22:13 EST, Ed Greshko
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-11-20 22:13 EST, Ed Greshko
no flags Details
File: var_log_messages (296 bytes, text/plain)
2015-11-20 22:14 EST, Ed Greshko
no flags Details

  None (edit)
Description Ed Greshko 2015-11-20 22:13:38 EST
Description of problem:
This problem happens on nearly every login to my Plasma Desktop.  Nothing other than that.

Version-Release number of selected component:
kwin-5.4.3-1.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11 -session 10d2ce696d000144792885200000261840001_1447928889_8407
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     8764
kernel:         4.2.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1029

Truncated backtrace:
Thread no. 1 (1 frames)
 #1 KCrash::defaultCrashHandler(int) at ../../src/kcrash.cpp:431
Comment 1 Ed Greshko 2015-11-20 22:13:45 EST
Created attachment 1097407 [details]
File: backtrace
Comment 2 Ed Greshko 2015-11-20 22:13:46 EST
Created attachment 1097408 [details]
File: cgroup
Comment 3 Ed Greshko 2015-11-20 22:13:48 EST
Created attachment 1097409 [details]
File: core_backtrace
Comment 4 Ed Greshko 2015-11-20 22:13:50 EST
Created attachment 1097410 [details]
File: dso_list
Comment 5 Ed Greshko 2015-11-20 22:13:51 EST
Created attachment 1097411 [details]
File: environ
Comment 6 Ed Greshko 2015-11-20 22:13:53 EST
Created attachment 1097412 [details]
File: limits
Comment 7 Ed Greshko 2015-11-20 22:13:55 EST
Created attachment 1097413 [details]
File: maps
Comment 8 Ed Greshko 2015-11-20 22:13:56 EST
Created attachment 1097414 [details]
File: mountinfo
Comment 9 Ed Greshko 2015-11-20 22:13:58 EST
Created attachment 1097415 [details]
File: open_fds
Comment 10 Ed Greshko 2015-11-20 22:13:59 EST
Created attachment 1097416 [details]
File: proc_pid_status
Comment 11 Ed Greshko 2015-11-20 22:14:01 EST
Created attachment 1097417 [details]
File: var_log_messages
Comment 12 Mo 2016-01-06 21:07:41 EST
Another user experienced a similar problem:

this usually happen when I boot into my fedora22 system or restart it then the desktops on all of my 3 monitors go black and right-click on desktop does not bring up the menu. Also all desktop icons disappear. However the desktop panel which I only use on one of the monitor is still there. I am using the amd proprietary catalyst drivers (Crimson) with my Radeon R7 260 video card.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     1810
kernel:         4.2.6-201.fc22.x86_64
package:        kwin-5.5.0-1.fc22
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Mo 2016-01-09 08:43:35 EST
Another user experienced a similar problem:

First I updated the system with no kernel update (sudo dnf -x kernel* upgrade) then restarted that it is it. The desktop on all of my 3 monitors went black and lost all desktop icons. Right clicking on the desktop does not bring up the menu.   

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11
crash_function: KCrash::defaultCrashHandler(int)
executable:     /usr/bin/kwin_x11
global_pid:     1822
kernel:         4.2.6-201.fc22.x86_64
package:        kwin-5.5.1-1.fc22
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-07-19 14:30:49 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.